Subject: Re: [BUG]2.6.25-rc6:Unable to handle kernel paging request

From: Sudhir Kumar <[email-masked]>
Date: Fri, 21 Mar 2008 00:12:16 +0530

On Wed, Mar 19, 2008 at 02:57:50PM +1100, Paul Mackerras wrote:
> Sudhir Kumar writes:
> 
> > Unable to handle kernel paging request for data at address
> > 0xd00008000000002e
> 
> Looks like some driver tried to access I/O port 0x2e without checking
> whether there was possibly anything there first.
> 
> > Faulting instruction address: 0xc00000000074ded8
> > cpu 0x0: Vector: 300 (Data Access) at [c00000003e073aa0]
> >     pc: c00000000074ded8: .f71805f_find+0x44/0x32c
> >     lr: c00000000074e1f8: .f71805f_init+0x38/0x194
> >     sp: c00000003e073d20
> >    msr: 8000000000009032
> >    dar: d00008000000002e
> >  dsisr: 42000000
> >   current = 0xc0000000220851c0
> >   paca    = 0xc0000000007c2700
> >     pid   = 1, comm = swapper
> > enter ? for help
> > [c00000003e073dc0] c00000000074e1f8 .f71805f_init+0x38/0x194
> 
> Looks like it might be the f71805f driver, whatever that is...
> Hmmm, drivers/hwmon/f71805f.c looks like it, and indeed it does go
> poking around in PCI I/O space with no checks whatever.
> 
> I suggest you turn off CONFIG_SENSORS_F71805F.
It was a new feature so I turned it on while compiling.
I have tried by turning off CONFIG_SENSORS_F71805F but the bug
is still present.
> 
> It doesn't help, of course, that CONFIG_HWMON defaults to y. :(
> 
> Paul.
Thanks
Sudhir Kumar
ISTL IBM